From b4aa955b2d797a12c176f9c84e9d9ee8de9c988d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Hadrian=20W=C4=99grzynowski?= <hadrian@hawski.com>
Date: Fri, 14 Jun 2019 19:12:57 +0200
Subject: [PATCH 1/3] gst-plugins-good1: explicit enable and disable of gtk3 in
 configure

Do not depend on auto handling of gtk3 option.
---
 srcpkgs/gst-plugins-good1/template | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/gst-plugins-good1/template b/srcpkgs/gst-plugins-good1/template
index f4d640ef740..94672591750 100644
--- a/srcpkgs/gst-plugins-good1/template
+++ b/srcpkgs/gst-plugins-good1/template
@@ -5,7 +5,8 @@ revision=1
 wrksrc="${pkgname/1/}-${version}"
 lib32disabled=yes
 build_style=meson
-configure_args="-Ddv=disabled -Ddv1394=disabled -Dshout2=disabled"
+configure_args="-Ddv=disabled -Ddv1394=disabled -Dshout2=disabled
+ -Dgtk3=$(vopt_if gtk3 enabled disabled)"
 # XXX: libdv, dv1394 and shout2 modules.
 hostmakedepends="pkg-config intltool glib-devel qt5-qmake orc qt5-host-tools"
 makedepends="

From da8546d9cdd51d09d8185a85a332b12367e7a5df Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Hadrian=20W=C4=99grzynowski?= <hadrian@hawski.com>
Date: Fri, 14 Jun 2019 19:26:19 +0200
Subject: [PATCH 2/3] gst-plugins-good1: add qt option

If disabled disable also examples as they require qt.
---
 srcpkgs/gst-plugins-good1/template | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

diff --git a/srcpkgs/gst-plugins-good1/template b/srcpkgs/gst-plugins-good1/template
index 94672591750..63718a740d1 100644
--- a/srcpkgs/gst-plugins-good1/template
+++ b/srcpkgs/gst-plugins-good1/template
@@ -6,17 +6,18 @@ wrksrc="${pkgname/1/}-${version}"
 lib32disabled=yes
 build_style=meson
 configure_args="-Ddv=disabled -Ddv1394=disabled -Dshout2=disabled
- -Dgtk3=$(vopt_if gtk3 enabled disabled)"
+ -Dgtk3=$(vopt_if gtk3 enabled disabled)
+ $(vopt_if qt '-Dqt5=enabled' '-Dqt5=disabled -Dexamples=disabled')"
 # XXX: libdv, dv1394 and shout2 modules.
-hostmakedepends="pkg-config intltool glib-devel qt5-qmake orc qt5-host-tools"
+hostmakedepends="pkg-config intltool glib-devel orc $(vopt_if qt 'qt5-qmake qt5-host-tools')"
 makedepends="
  libpng-devel libxml2-devel libgudev-devel libflac-devel
  libXdamage-devel aalib-devel libcaca-devel
  taglib-devel libsoup-gnome-devel gst-plugins-base1-devel
  pulseaudio-devel orc-devel libXv-devel wavpack-devel
  v4l-utils-devel jack-devel speex-devel libvpx-devel lame-devel
- mpg123-devel twolame-devel $(vopt_if gtk3 gtk+3-devel) qt5-devel
- qt5-declarative-devel  qt5-x11extras-devel qt5-wayland-devel"
+ mpg123-devel twolame-devel $(vopt_if gtk3 gtk+3-devel) $(vopt_if qt 'qt5-devel
+ qt5-declarative-devel  qt5-x11extras-devel qt5-wayland-devel')"
 depends="gst-plugins-base1>=${version}"
 short_desc="GStreamer set of well-maintained good plug-ins (1.x)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
@@ -25,5 +26,5 @@ homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/${pkgname/1/}/${pkgname/1/}-${version}.tar.xz"
 checksum=654adef33380d604112f702c2927574cfc285e31307b79e584113858838bb0fd
 
-build_options="gtk3"
-build_options_default="gtk3"
+build_options="gtk3 qt"
+build_options_default="gtk3 qt"

From c88232f823fdbf1e82eae813629bf0d1d7481d76 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Hadrian=20W=C4=99grzynowski?= <hadrian@hawski.com>
Date: Fri, 14 Jun 2019 20:38:05 +0200
Subject: [PATCH 3/3] gst-plugins-good1: fix xlint issues

---
 srcpkgs/gst-plugins-good1/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/gst-plugins-good1/template b/srcpkgs/gst-plugins-good1/template
index 63718a740d1..532935efaaa 100644
--- a/srcpkgs/gst-plugins-good1/template
+++ b/srcpkgs/gst-plugins-good1/template
@@ -3,7 +3,6 @@ pkgname=gst-plugins-good1
 version=1.16.0
 revision=1
 wrksrc="${pkgname/1/}-${version}"
-lib32disabled=yes
 build_style=meson
 configure_args="-Ddv=disabled -Ddv1394=disabled -Dshout2=disabled
  -Dgtk3=$(vopt_if gtk3 enabled disabled)
@@ -25,6 +24,7 @@ license="LGPL-2.1-or-later"
 homepage="https://gstreamer.freedesktop.org"
 distfiles="${homepage}/src/${pkgname/1/}/${pkgname/1/}-${version}.tar.xz"
 checksum=654adef33380d604112f702c2927574cfc285e31307b79e584113858838bb0fd
+lib32disabled=yes
 
 build_options="gtk3 qt"
 build_options_default="gtk3 qt"
